Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.dynamicui
Interface DynamicUIInfo

All Known Subinterfaces:
  AbstractDynamicUICtrl, DynamicUICtrl, ExtendedDynamicUICtrl

    public interface DynamicUIInfo

`DynamicUIInfo` provides access to the read only functions of dynamic ui management.
Portlets can get access to `DynamicUIInfo` via the `DynamicUIManagementFactoryService` .
DynamicUIInfo must be obtained once per render phase of the portlet and should not be stored.

Since:
  5.1.0.1
See Also:
  `DynamicUIManagementFactoryService`

Method Summary
`boolean` | `isPageClosable(ObjectID pageID)` Returns whether a page can be closed or not.
`boolean` | `isPortletClosable(ObjectID portletWindowID)` Returns whether a portlet on the current page can be closed or not.

Method Detail

### isPageClosable

    boolean isPageClosable(ObjectID pageID)
                           throws DynamicUIManagementException

  Returns whether a page can be closed or not.

  Parameters:
    `pageID` - The ID of the page to be closed. It is not allowed to pass `null` for this parameter.
  Returns:
    boolean Indicates whether the page can be closed or not.
  Throws:
    `ResourceLookupException` - The page referenced by the object id cannot be found.
    `DynamicUIManagementException`

### isPortletClosable

    boolean isPortletClosable(ObjectID portletWindowID)
                              throws DynamicUIManagementException

  Returns whether a portlet on the current page can be closed or not.

  Parameters:
    `portletWindowID` - The id of the portlet window to be closed. It is not allowed to pass `null` for this parameter.
  Returns:
    boolean Indicates whether the portlet can be closed or not.
  Throws:
    `ResourceLookupException` - The portlet referenced by the object id cannot be found.
    `DynamicUIManagementException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD